import numpy as np
from mayavi import mlab

u, v = np.mgrid[-np.pi:np.pi / 2:0.05, -np.pi:np.pi + 0.1:0.1]
x = np.cos(u) * (np.cos(v) + 3)
y = np.sin(u) * (np.cos(v) + 3)
z = np.sin(v)

mlab.mesh(x, y, z, colormap="spring", representation="wireframe")

mlab.show()
